%global momorel 1
%define   _base node

Name:%{_base}js
Version: 8.5.0
Release: %{momorel}m%{?dist}
Summary: Evented I/O for V8 Javascript.
Group:   Development/Libraries
License: MIT
URL:     http://nodejs.org/
Source0: http://nodejs.org/dist/v%{version}/%{_base}-v%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

BuildRequires: python, openssl-devel

%description
Evented I/O for V8 Javascript.

%prep
%setup -q -n %{_base}-v%{version}

%build
export CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"

./configure --prefix=/usr
make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Node tries to install some python files into a documentation directory
# (and not the proper one). Remove them for now until we figure out what to
# do with them.
rm -f %{buildroot}/%{_defaultdocdir}/node/lldb_commands.py \
      %{buildroot}/%{_defaultdocdir}/node/lldbinit


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_includedir}/node
%{_includedir}/node/
%attr(755,root,root) %{_bindir}/node
%attr(755,root,root) %{_bindir}/npm
%attr(755,root,root) %{_bindir}/npx
%dir %{_prefix}/lib/node_modules/npm/
%{_prefix}/lib/node_modules/npm
%{_mandir}/man1/*
%{_datadir}/doc/node/gdbinit
%{_datadir}/systemtap/tapset/node.stp


%doc
/usr/share/man/man1/node.1.*

%changelog
* Mon Sep 25 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (8.5.0-1m)
- version up 8.5.0

* Fri Jun 30 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (8.1.3-1m)
- version up 8.1.3

* Tue May 30 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (7.7.1-2m)
- fix build by gcc7

* Mon Mar 06 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (7.7.1-1m)
- version up 7.7.1

* Tue May  1 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.16-1m)
- version up 0.6.16
- [SECURITY] CVE-2011-5037 CVE-2012-2330

* Tue Nov  1 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.4.12-1m)
- version up 0.4.12

* Wed Jun 08 2011 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (0.4.8-1m)
- version upto 0.4.8

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.1-2m)
- rebuild for new GCC 4.6

* Thu Feb 24 2011 - yohgaki@ohgaki.net
- Initial version for momonga

* Tue Oct 19 2010 - susan@managedopensource.com
- Initial version of RPM specification file.

